Hi Eric

Try doing

touch PERL_MODULES

And then do make again

cheers
Tobi


Tobias Oetiker

> On 10 Apr 2018, at 19:06, Eric Brander <mailingli...@rednarb.com> wrote:
> 
> 
>> On Thu, Mar 22, 2018 at 7:58 AM, Eric Brander <mailingli...@rednarb.com> 
>> wrote:
>> Friends,
>> 
>> Long-time smokeping user here, installing a new implementation on Centos 
>> 7.4.1708, getting an error when executing gmake install:
>> 
>> root-> /usr/bin/gmake install
>> Making install in thirdparty
>> gmake[1]: Entering directory `/tmp/smokeping-2.7.1/thirdparty'
>> echo "If the moduile install hangs, this may be because one of the modules 
>> expects you to press [return] without telling you ... just do it!"
>> If the moduile install hangs, this may be because one of the modules expects 
>> you to press [return] without telling you ... just do it!
>>   GEN      touch
>> FCGI is up to date. (0.78)
>> CGI is up to date. (4.38)
>> CGI::Fast is up to date. (2.13)
>> Config::Grammar is up to date. (1.12)
>> Socket6 is up to date. (0.28)
>> IO::Socket::SSL is up to date. (2.054)
>> 
>> Digest::HMAC_MD5 is up to date. (1.01)
>> Net::Telnet is up to date. (3.04)
>> Net::OpenSSH is up to date. (0.74)
>> ! Couldn't find module or a distribution CPAN::Meta (2.142060)
>> ! Installing the dependencies failed: Module 'CPAN::Meta' is not installed
>> ! Bailing out the installation for Module-Build-0.4224.
>> ! Installing the dependencies failed: Module 'Module::Build' is not installed
>> ! Bailing out the installation for Net-SNMP-v6.0.1.
>> Net::LDAP is up to date. (0.65)
>> Net::DNS is up to date. (1.14)
>> IO::Pty is up to date. (1.12)
>> LWP is up to date. (6.31)
>> Authen::Radius is up to date. (0.26)
>> gmake[1]: *** [touch] Error 123
>> gmake[1]: Leaving directory `/tmp/smokeping-2.7.1/thirdparty'
>> gmake: *** [install-recursive] Error 1
>> 
>> 
>> root-> cpan Module::Build
>> Reading '/root/.cpan/Metadata'
>>   Database was generated on Wed, 21 Mar 2018 18:29:03 GMT
>> Module::Build is up to date (0.4224).
>> 
>> root-> cpan CPAN::Meta
>> Reading '/root/.cpan/Metadata'
>>   Database was generated on Wed, 21 Mar 2018 18:29:03 GMT
>> CPAN::Meta is up to date (2.150010).
>> 
>> root-> yum install net-snmp-devel net-snmp
>> Loaded plugins: fastestmirror
>> Loading mirror speeds from cached hostfile
>>  * base: dallas.tx.mirror.xygenhosting.com
>>  * epel: mirror.colorado.edu
>>  * extras: centos.unixheads.org
>>  * updates: mirrors.usinternet.com
>> Package 1:net-snmp-devel-5.7.2-28.el7_4.1.x86_64 already installed and 
>> latest version
>> Package 1:net-snmp-5.7.2-28.el7_4.1.x86_64 already installed and latest 
>> version
>> Nothing to do
>> 
>> 
>> Maybe related - as a long-time user, I installed all the dependencies 
>> manually before attempting the Smokeping install, but this new installer is 
>> also trying to install these thirdparty tools. Maybe some issue there? Any 
>> other ideas?
>> 
>> Thanks,
>> Eric
>> 
> 
> Didn't get any responses to this last time so I'm throwing my line in again 
> to see I get any bites.
> 
> TIA,
> Eric
> _______________________________________________
> smokeping-users mailing list
> smokeping-users@lists.oetiker.ch
> https://lists.oetiker.ch/cgi-bin/listinfo/smokeping-users
_______________________________________________
smokeping-users mailing list
smokeping-users@lists.oetiker.ch
https://lists.oetiker.ch/cgi-bin/listinfo/smokeping-users

Reply via email to